Bug 1126276

Summary: [abrt] gnome-shell: st_theme_node_reduce_border_radius(): gnome-shell killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Evan Nemerson <evan>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: fmuellner, icywind90, ignatenko, mkovarik, otaylor, samkraju, walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/fdaf86778438a72219f768d5086df14f6bbe1f56
Whiteboard: abrt_hash:ae8fb43dd40b99d96a92b49af4ec4c611a4d7e99
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 03:20:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Evan Nemerson 2014-08-04 04:23:46 UTC
Description of problem:
Occurs pretty regularly, though not every time, when moving a window from one workspace to another.

Version-Release number of selected component:
gnome-shell-3.13.4-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
kernel:         3.16.0-0.rc7.git4.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 st_theme_node_reduce_border_radius at st/st-theme-node-drawing.c:272
 #1 st_theme_node_paint_borders at st/st-theme-node-drawing.c:1606
 #2 st_theme_node_paint at st/st-theme-node-drawing.c:2489
 #3 st_widget_paint_background at st/st-widget.c:456
 #4 st_widget_paint at st/st-widget.c:465
 #5 _g_closure_invoke_va at gclosure.c:831
 #8 clutter_actor_continue_paint at ./clutter-actor.c:3955
 #9 clutter_actor_paint at ./clutter-actor.c:3875
 #10 clutter_actor_real_paint at ./clutter-actor.c:3566
 #11 _g_closure_invoke_va at gclosure.c:831

Potential duplicate: bug 1070204

Comment 1 Evan Nemerson 2014-08-04 04:23:48 UTC
Created attachment 923733 [details]
File: backtrace

Comment 2 Evan Nemerson 2014-08-04 04:23:49 UTC
Created attachment 923734 [details]
File: cgroup

Comment 3 Evan Nemerson 2014-08-04 04:23:50 UTC
Created attachment 923735 [details]
File: core_backtrace

Comment 4 Evan Nemerson 2014-08-04 04:23:50 UTC
Created attachment 923736 [details]
File: dso_list

Comment 5 Evan Nemerson 2014-08-04 04:23:51 UTC
Created attachment 923737 [details]
File: environ

Comment 6 Evan Nemerson 2014-08-04 04:23:52 UTC
Created attachment 923738 [details]
File: exploitable

Comment 7 Evan Nemerson 2014-08-04 04:23:52 UTC
Created attachment 923739 [details]
File: limits

Comment 8 Evan Nemerson 2014-08-04 04:23:53 UTC
Created attachment 923740 [details]
File: maps

Comment 9 Evan Nemerson 2014-08-04 04:23:54 UTC
Created attachment 923741 [details]
File: open_fds

Comment 10 Evan Nemerson 2014-08-04 04:23:55 UTC
Created attachment 923742 [details]
File: proc_pid_status

Comment 11 Evan Nemerson 2014-08-04 04:23:55 UTC
Created attachment 923743 [details]
File: var_log_messages

Comment 12 Evan Nemerson 2014-09-04 21:04:47 UTC
I believe this is https://bugzilla.gnome.org/show_bug.cgi?id=735972 which is a blocker for GNOME 3.14 (see https://mail.gnome.org/archives/desktop-devel-list/2014-September/msg00017.html)

Comment 13 Fedora End Of Life 2015-11-04 15:08:58 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 03:20:16 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.